org.apache.ignite.internal.portable

## Interface PortableMetaDataHandler

    public interface PortableMetaDataHandler

Portable meta data handler.

### Method Summary

Methods
`void` `addMeta(int typeId, PortableMetadata meta)` Adds meta data.
`PortableMetadata` `metadata(int typeId)` Gets meta data for provided type ID.

### Method Detail

#### addMeta

    void addMeta(int typeId,
               PortableMetadata meta)
                 throws PortableException

Adds meta data.

Parameters:
  `typeId` - Type ID.
  `meta` - Meta data.
Throws:
  `PortableException` - In case of error.

#### metadata

    PortableMetadata metadata(int typeId)
                              throws PortableException

Gets meta data for provided type ID.

Parameters:
  `typeId` - Type ID.
Returns:
  Meta data.
Throws:
  `PortableException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015